Public Attributes | List of all members
uart_env_t Struct Reference
Peripheral Driver » APP DRIVER » UART » Structures

UART device structure definition. More...

`#include <app_uart.h>`

Collaboration diagram for uart_env_t:
[legend]

## Public Attributes
app_uart_evt_handler_t | evt_handler
| UART event callback. More...
uart_handle_t | handle
| UART handle Structure. More...
app_uart_pin_cfg_t * | p_pin_cfg
| UART pins config Structures. More...
dma_id_t | dma_id [2]
| DMA id. More...
app_uart_state_t | uart_state
| App uart state types. More...
app_uart_dma_state_t | uart_dma_state
| App uart dma state types. More...
ring_buffer_t | tx_ring_buffer
| RING_BUFFER_STRUCT Structures. More...
uint8_t | tx_send_buf [TX_ONCE_MAX_SIZE]
| tx send buf. More...
volatile bool | start_tx_flag
| start tx flag. More...
volatile bool | start_flush_flag
| start flush flag. More...
bool | tx_abort_flag
| tx abort flag. More...
bool | rx_abort_flag
| rx abort flag. More...
bool | is_dma_tx_mode
| dma tx mode. More...

## Detailed Description

UART device structure definition.

Definition at line 203 of file app_uart.h.

## Member Data Documentation

## ◆ dma_id

dma_id_t uart_env_t::dma_id[2]

DMA id.

Definition at line 208 of file app_uart.h.

## ◆ evt_handler

app_uart_evt_handler_t uart_env_t::evt_handler

UART event callback.

Definition at line 205 of file app_uart.h.

## ◆ handle

uart_handle_t uart_env_t::handle

UART handle Structure.

Definition at line 206 of file app_uart.h.

## ◆ is_dma_tx_mode

bool uart_env_t::is_dma_tx_mode

dma tx mode.

Definition at line 217 of file app_uart.h.

## ◆ p_pin_cfg

app_uart_pin_cfg_t* uart_env_t::p_pin_cfg

UART pins config Structures.

Definition at line 207 of file app_uart.h.

## ◆ rx_abort_flag

bool uart_env_t::rx_abort_flag

rx abort flag.

Definition at line 216 of file app_uart.h.

## ◆ start_flush_flag

volatile bool uart_env_t::start_flush_flag

start flush flag.

Definition at line 214 of file app_uart.h.

## ◆ start_tx_flag

volatile bool uart_env_t::start_tx_flag

start tx flag.

Definition at line 213 of file app_uart.h.

## ◆ tx_abort_flag

bool uart_env_t::tx_abort_flag

tx abort flag.

Definition at line 215 of file app_uart.h.

## ◆ tx_ring_buffer

ring_buffer_t uart_env_t::tx_ring_buffer

RING_BUFFER_STRUCT Structures.

Definition at line 211 of file app_uart.h.

## ◆ tx_send_buf

uint8_t uart_env_t::tx_send_buf[TX_ONCE_MAX_SIZE]

tx send buf.

Definition at line 212 of file app_uart.h.

## ◆ uart_dma_state

app_uart_dma_state_t uart_env_t::uart_dma_state

App uart dma state types.

Definition at line 210 of file app_uart.h.

## ◆ uart_state

app_uart_state_t uart_env_t::uart_state

App uart state types.

Definition at line 209 of file app_uart.h.

The documentation for this struct was generated from the following file:

- app_uart.h